#ifndef __SINICH_APL_H
#define __SINICH_APL_H


#include "sinich_cmn.h"
#include "sinich_prm.h"
#include "sinich_reg.h"
#include "sinich_lib.h"


#ifndef O_BINARY
#define O_BINARY					0
#endif

#define _O_BINARY					O_BINARY
#define _O_RDONLY					O_RDONLY

#define Sleep(x)					usleep(1000*x)

typedef struct _ICH_FILE_HEADER
{
	ulong	file_version;
	ulong	sampling_rate;
	ulong	channel_num;
	ulong	reserved;
} ICH_FILE_HEADER_INFO;

typedef struct _OCH_FILE_HEADER
{
	ulong	file_version;
	ulong	sampling_rate;
	ulong	channel_num;
	ulong	reserved;
} OCH_FILE_HEADER_INFO;

#endif /* __SINICH_APL_H */
